Difference between revisions of "Draft Point/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
 
(6 intermediate revisions by one other user not shown)
Line 15: Line 15:
 
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 
|Shortcut=P T
 
|Shortcut=P T
|SeeAlso=[[Draft Line/fr|Ligne]], [[Draft Wire/fr|Filaire]]
+
|SeeAlso=[[Draft Line/fr|Draft Ligne]], [[Draft Wire/fr|Draft Filaire]]
 
|Version=0.7
 
|Version=0.7
 
}}
 
}}
Line 21: Line 21:
 
==Description==
 
==Description==
  
<div class="mw-translate-fuzzy">
 
 
L'outil Point crée un point simple dans le [[Draft SelectPlane/fr|Plan de travail Draft]] utile pour servir de référence pour placer des lignes, des fils ou d'autres objets ultérieurement. Il utilise les [[Draft Linestyle/fr|Propriétés de ligne Draft]] (uniquement la couleur) définies dans [[Draft Tray/fr|La barre Draft]].
 
L'outil Point crée un point simple dans le [[Draft SelectPlane/fr|Plan de travail Draft]] utile pour servir de référence pour placer des lignes, des fils ou d'autres objets ultérieurement. Il utilise les [[Draft Linestyle/fr|Propriétés de ligne Draft]] (uniquement la couleur) définies dans [[Draft Tray/fr|La barre Draft]].
</div>
 
  
 
[[Image:Draft_point_example.jpg|400px]]
 
[[Image:Draft_point_example.jpg|400px]]
Line 30: Line 28:
 
==Utilisation==
 
==Utilisation==
  
<div class="mw-translate-fuzzy">
 
 
# Appuyez sur la touche {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/fr|Point Draft]]}} ou appuyez sur la touche {{KEY|P}} puis {{KEY|T}}.
 
# Appuyez sur la touche {{KEY|[[Image:Draft Point.png|16px]] [[Draft Point/fr|Point Draft]]}} ou appuyez sur la touche {{KEY|P}} puis {{KEY|T}}.
 
# Cliquez sur un point de la vue 3D ou tapez les [[Draft_Coordinates/fr|Coordonnées Draft]] et appuyez sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point Draft]]}}.
 
# Cliquez sur un point de la vue 3D ou tapez les [[Draft_Coordinates/fr|Coordonnées Draft]] et appuyez sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point Draft]]}}.
</div>
 
  
 
==Options==
 
==Options==
Line 47: Line 43:
 
* {{PropertyData/fr|Z}}: la coordonnée Z du point.
 
* {{PropertyData/fr|Z}}: la coordonnée Z du point.
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
L'outil Point peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] en utilisant la fonction suivante:
 
L'outil Point peut être utilisé dans une [[macros/fr|macro]] et dans la console [[Python/fr|Python]] en utilisant la fonction suivante:
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
 
Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Line 79: Line 71:
 
Exemple:
 
Exemple:
  
Ce code crée des {{incodes|N}} points aléatoires dans un carré de côté {{incode|2L}}. Cela crée une boucle créant des {{incode|N}} points, qui peuvent apparaître n'importe où de {{incode|-L}} à {{incode|+ L}} sur X et Y; il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez {{incode|N}} pour changer le nombre de points, puis {{incode|L}} pour changer la zone couverte par les points.
+
Ce code crée des {{incode|N}} points aléatoires dans un carré de côté {{incode|2L}}. Cela crée une boucle créant des {{incode|N}} points, qui peuvent apparaître n'importe où de {{incode|-L}} à {{incode|+ L}} sur X et Y; il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez {{incode|N}} pour changer le nombre de points, puis {{incode|L}} pour changer la zone couverte par les points.
  
 
{{Code|code=
 
{{Code|code=
Line 104: Line 96:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/fr
 
{{Docnav/fr
 
|[[Draft_BSpline/fr|BSpline]]
 
|[[Draft_BSpline/fr|BSpline]]
Line 113: Line 104:
 
|IconR=Draft_ShapeString.svg
 
|IconR=Draft_ShapeString.svg
 
}}
 
}}
</div>
 
  
 
{{Draft Tools navi/fr}}
 
{{Draft Tools navi/fr}}

Latest revision as of 14:37, 8 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft BSpline.svg BSpline
Page suivante: Formes à partir texte Draft ShapeString.svg Arrow-right.svg

Draft Point.svg Draft Point

Emplacement du menu
Draft → Point
Ateliers
Draft, Arch
Raccourci par défaut
P T
Introduit dans la version
0.7
Voir aussi
Draft Ligne, Draft Filaire


Description

L'outil Point crée un point simple dans le Plan de travail Draft utile pour servir de référence pour placer des lignes, des fils ou d'autres objets ultérieurement. Il utilise les Propriétés de ligne Draft (uniquement la couleur) définies dans La barre Draft.

Draft point example.jpg

Un seul point placé sur le plan de travail


Utilisation

  1. Appuyez sur la touche Draft Point.png Point Draft ou appuyez sur la touche P puis T.
  2. Cliquez sur un point de la vue 3D ou tapez les Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil de pointage redémarre après avoir placé un point, ce qui vous permet d'en placer un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

  • DonnéesX: la coordonnée X du point.
  • DonnéesY: la coordonnée Y du point.
  • DonnéesZ: la coordonnée Z du point.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Point peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crée un objet Point dans les coordonnées X, Y et Z spécifiées, avec des unités en millimètres. Si aucune coordonnée n'est donnée, le point est créé à l'origine (0,0,0).
    • Si X est un point défini par un FreeCAD.Vector, il est utilisé.
  • color est un tuple (R, G, B) qui indique la couleur du point dans l'échelle RVB. Chaque valeur du tuple doit être comprise entre 0 et 1.
  • name est le nom de l'objet.
  • point_size est la taille de l'objet en pixels si l'interface graphique est chargée.

Exemple:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Exemple:

Ce code crée des N points aléatoires dans un carré de côté 2L. Cela crée une boucle créant des N points, qui peuvent apparaître n'importe où de -L à + L sur X et Y; il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez N pour changer le nombre de points, puis L pour changer la zone couverte par les points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft BSpline.svg BSpline
Page suivante: Formes à partir texte Draft ShapeString.svg Arrow-right.svg